### Hierarchy

- VehicleToggleMod

## Index

### Constructors

- constructor

### Properties

- _modType
- _owner

### Accessors

- IsInstalled
- LocalizedModTypeName
- ModType
- Vehicle

### Methods

- remove

## Constructors

### constructor

- new VehicleToggleMod(owner: Vehicle, modType: VehicleToggleModType): VehicleToggleMod

- - Defined in models/VehicleToggleMod.ts:8

  #### Parameters

  - ##### owner: Vehicle

  - ##### modType: VehicleToggleModType

  #### Returns VehicleToggleMod

## Properties

### Private _modType

_modType: VehicleToggleModType

- Defined in models/VehicleToggleMod.ts:6

### Private _owner

_owner: Vehicle

- Defined in models/VehicleToggleMod.ts:5

## Accessors

### IsInstalled

- get IsInstalled(): boolean
- set IsInstalled(value: boolean): void

- - Defined in models/VehicleToggleMod.ts:21

  #### Returns boolean

- - Defined in models/VehicleToggleMod.ts:25

  #### Parameters

  - ##### value: boolean

  #### Returns void

### LocalizedModTypeName

- get LocalizedModTypeName(): string

- - Defined in models/VehicleToggleMod.ts:29

  #### Returns string

### ModType

- get ModType(): VehicleToggleModType
- set ModType(modType: VehicleToggleModType): void

- - Defined in models/VehicleToggleMod.ts:13

  #### Returns VehicleToggleModType

- - Defined in models/VehicleToggleMod.ts:17

  #### Parameters

  - ##### modType: VehicleToggleModType

  #### Returns void

### Vehicle

- get Vehicle(): Vehicle

- - Defined in models/VehicleToggleMod.ts:33

  #### Returns Vehicle

## Methods

### remove

- remove(): void

- - Defined in models/VehicleToggleMod.ts:37

  #### Returns void

Generated using TypeDoc